# Trial

We have a trial endpoint that does a text query search with 5 responses. This is meant to be a way to test out our API to test the speed, performance, and results.

## cURL Request

You can test our API with the following command:

```
curl 'https://zues.searchagora.com/api/v1/search/trial?q={SearchQuery}'
```

For example, you can try:&#x20;

```
curl 'https://zues.searchagora.com/api/v1/search/trial?q=red%20shoes'
```

## Search trial

GET `/search/trial`

This endpoint provides a trial version of the product search feature. You can search for products with fewer parameters.

**Headers**

No headers required.

**Query parameters**

| Parameter    | Type   | Description                               |
| ------------ | ------ | ----------------------------------------- |
| `q`          | string | Search query.                             |
| `priceRange` | array  | Price range filter \[minPrice, maxPrice]. |
| `sort`       | string | Sorting field: price:relevance.           |
| `order`      | string | Sorting order: asc or desc.               |

**Example request**

`GET https://zues.searchagora.com/api/v1/search/trial?q=query&priceRange=[100,1000]&sort=price:relevance&order=desc`

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "status": "success",
  "Products": [
        {
            "_id": "65d4d4f1b7bb634c6599ffd2",
            "name": "Calzuro Classic Without Holes Pistachio",
            "brand": "Calzuro",
            "storeName": "Calzuro",
            "slug": "calzuro-without-pistachio-eb12f468-48a2-48af-9f5e-3fda5f6c135c-1708446961787",
            "price": 111.99,
            "isVerified": true,
            "isBoosted": false,
            "images": [
                "https://cdn.shopify.com/s/files/1/0738/4442/4986/products/pistachio-calzuro-without-1.jpg?v=1682709875",
                "https://cdn.shopify.com/s/files/1/0738/4442/4986/files/pistachiocalzuro.png?v=1712343485",
                "https://cdn.shopify.com/s/files/1/0738/4442/4986/files/classicinfographic_26486960-c007-4661-b74d-b50e158115cc.png?v=1712343485",
                "https://cdn.shopify.com/s/files/1/0738/4442/4986/products/pistachio-calzuro-without-2.jpg?v=1712343483",
                "https://cdn.shopify.com/s/files/1/0738/4442/4986/products/pistachio-calzuro-without-3.jpg?v=1712343483",
                "https://cdn.shopify.com/s/files/1/0738/4442/4986/products/pistachio-calzuro-without-4.jpg?v=1712343483"
            ],
            "url": "https://calzuro.com/products/calzuro-without-pistachio",
            "agoraScore": 95,
            "priceHistory": [
                {
                    "price": 111.99,
                    "date": "2024-02-20T16:36:01.992Z",
                    "_id": "671499c36ca0a1804aca445f"
                }
            ],
            "discountVal": 0,
            "averageRating": 4.5
        }
    ]
}
```

{% endtab %}

{% tab title="500" %}

```json
{
 "status": "error",
 "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.searchagora.com/introduction/trial.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
